"use strict";

exports.__esModule = true;
exports.addTerminatingNewline = addTerminatingNewline;
exports.removeTerminatingNewline = removeTerminatingNewline;
exports.carriageReturnLineFeed = exports.carriageReturn = exports.lineFeed = void 0;

var _detectNewline2 = _interopRequireDefault(require("detect-newline"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var lineFeed = "\n";
exports.lineFeed = lineFeed;
var carriageReturn = "\r";
exports.carriageReturn = carriageReturn;
var carriageReturnLineFeed = "\r";
exports.carriageReturnLineFeed = carriageReturnLineFeed;

function addTerminatingNewline(string, options) {
  var _ref, _detectNewline;

  var newline = (_ref = (_detectNewline = (0, _detectNewline2["default"])(string)) != null ? _detectNewline : options == null ? void 0 : options["default"]) != null ? _ref : "\n";

  if (string.endsWith(newline)) {
    return string;
  } else {
    return string.concat(newline);
  }
}

function removeTerminatingNewline(string) {
  if (string.endsWith(lineFeed)) {
    string = string.slice(0, string.length - 1);
  }

  if (string.endsWith(carriageReturn)) {
    string = string.slice(0, string.length - 1);
  }

  return string;
}